#
# spec file for package msmtp (Version 1.4.16)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           msmtp
Version:        1.4.16
Release:        2.2.1
#
License:        GPLv3+
Group:          Productivity/Networking/Email/Utilities
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  libidn-devel openssl-devel
%if 0%{?suse_version}
PreReq:         %install_info_prereq
%endif
#
Url:            http://msmtp.sourceforge.net/
Source:         http://prdownloads.sourceforge.net/msmtp/msmtp-%{version}.tar.bz2
Patch:          msmtp-1.4.x_null_byte_in_cert_check.patch
#
Summary:        An SMTP Client

%description
msmtp is an SMTP client that can be used as a plug-in for Mutt and
other mail user agents.  It forwards mail to an SMTP server that does
the delivery.  msmtp supports multiple accounts.



Authors:
--------
    Martin Lambers <marlam@marlam.de>

%prep
%setup -q
%patch

%build
%if 0%{?suse_version} > 1000
export CFLAGS="%{optflags} -fstack-protector"
%endif
%configure --docdir=%{_docdir}/%{name} --with-ssl=openssl
%{__make}

%install
%makeinstall
%find_lang %{name}
for i in README ChangeLog ; do
    %{__cp} scripts/msmtpqueue/$i ${i}.msmtpqueue
done
%{__cp} scripts/msmtpq/README README.msmtpq
%{__install} -m 0755 \
        scripts/msmtpqueue/*.sh \
        scripts/msmtpq/msmtp{q,Q} \
        scripts/set_sendmail/set_sendmail.sh \
    %{buildroot}%{_bindir}

%clean
%{__rm} -rf %{buildroot}
%if 0%{?suse_version}

%post
%install_info --info-dir=%{_infodir} %{_infodir}/msmtp.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/msmtp.info.gz
%endif

%files -f %{name}.lang
%defattr (-, root, root)
%doc AUTHORS ChangeLog* COPYING NEWS README README.msmtpqueue README.msmtpq THANKS
%doc doc/msmtp.html doc/Mutt+msmtp.txt doc/*.example
%doc scripts/set_sendmail/set_sendmail.conf 
%{_bindir}/msmtp
%{_bindir}/msmtpq
%{_bindir}/msmtpQ
%{_bindir}/msmtp-enqueue.sh
%{_bindir}/msmtp-runqueue.sh
%{_bindir}/msmtp-listqueue.sh
%{_bindir}/set_sendmail.sh
%{_mandir}/man1/msmtp.1*
%{_infodir}/msmtp.info*

%changelog
* Fri Jan 15 2010 mrueckert@suse.de
- added msmtp-1.4.x_null_byte_in_cert_check.patch:
  properly handled nul chars in the Common Name or Subject
  Alternative Name fields of certificates (bnc#557181) CVE-2009-3942
* Sat Sep  6 2008 mrueckert@suse.de
- update to version 1.4.16
  - Changed all scripts to '#!/usr/bin/env bash' instead of
    '#!/bin/sh' or '#!/bin/bash', because they use bash features
    that are not available in POSIX /bin/sh and because bash might
    not live in /bin, e.g. on BSD systems. This is a quick fix for
    Debian bug #489635.
  - Accept both 250 and 251 in return of the RCPT TO command, as
    required by RFC 2821 sections 4.3.2 and 3.4. Reported and fixed
    by Matthias Bernhardt.  Thanks!
  - Fix scripts/msmtpqueue/msmtp-runqueue.sh. An error made while
    applying a patch accidently broke it. Reported by Thomas Weber.
    Thanks!
    (this obsoletes msmtp-runqueue.sh.patch)
- additional changes from version 1.4.15
  - Added the new tls_crl_file configuration command and the
    corresponding --tls-crl-file option.
  - Added the new tls_min_dh_prime_bits configuration command and
    the corresponding --tls-min-dh-prime-bits option. This closes
    Debian bug #440344.
  - Added the new tls_priorities configuration command and the
    corresponding --tls-priorities option.
  - Gnulib upate to 2008-06-02. Use getpass-gnu instead of getpass
    module.
  - Add msmtpq scripts by Chris Gianniotis to the scripts
    directory. Suggest them as a replacement in the README of the
    msmtpqueue scripts.
  - Do not let getpass() read from stdin, because we read the mail
    from there.  Reported by Karol Lewandowski. Thanks!
  - Updated the set_sendmail script by Gautam Iyer. Thanks!
  - Return EX_TEMPFAIL instead of EX_DATAERR in case of  4xx
    replies to the MAIL FROM, RCPT TO and DATA commands. Reported
    by Kent Vinther Friis. Thanks!
- install msmtpq
* Wed May  7 2008 cthiel@suse.de
- fix msmtp-runqueue.sh
* Tue Mar 18 2008 mrueckert@suse.de
- update to version 1.4.14
  - The -t option now properly supports Resent-* headers.
  - The --read-envelope-from option was added. It allows to read
    the envelope from address from the From header.
  - The environment variables SMTPSERVER and EMAIL can be used to
    configure msmtp for simple use cases.
  - Support for the Mac OS X keychain was added by Jay Soffian.
* Sat Aug  4 2007 mrueckert@suse.de
- update to version 1.4.13
  - Added the set_sendmail.sh script by Gautam Iyer to the new
    scripts subdirectory.
  - Added the msmtpqueue scripts to the new scripts subdirectory.
  - Make the search of an account by the envelope from address case
    insensitive.  Problem reported and fixed by Brandon Philips.
  - Update the license of the source code to GPLv3 or later, and
    change the license of the documentation to the GFDLv1.2 or
    later.
  - Gnulib update to 2007-07-15.
- no longer use the external msmtpqueue package.
* Sun Jun 17 2007 bwalle@suse.de
- update to version 1.4.12:
  o Handle MAILER-DAEMON correctly
  o documentation updates
  o Require tls_trust_file or tls_certcheck=off for TLS sessions
  o Do not use NTLM authentication automatically
  o Gnulib update
  o bug fixes
- update to msmtpqueue 0.5:
  o Added the msmtp-listqueue.sh script
* Tue Apr 10 2007 mrueckert@suse.de
- update to 1.4.11:
  - Require either tls_trust_file or tls_certcheck=off for TLS
    sessions, so that msmtp is not silently vulnerable to
    man-in-the-middle attacks.
  - Do not use NTLM authentication automatically anymore unless TLS
    is active.  NTLM is not an open standard and must therefore be
    considered broken.
  - Gnulib update 2007-04-07.
* Sun Jan 21 2007 mrueckert@suse.de
- update to 1.4.10:
  - Updated copyright info to 2007.
  - Gnulib update to 2007-01-10.
  - From mpop: Switch to autoconf-2.61 and automake-1.10, to avoid
    problems with configure trying to run "sh /usr/bin/install"
    where /usr/bin/install is not a shell script on NetBSD.
    Reported by Jeremy C. Reed.
  - From mpop: Remove the obsolete "extern int errno;" declaration.
    It does not conform to POSIX and causes trouble. Thanks to
    Jeremy C. Reed for the patch.
  - Added AC_SYS_LARGEFILE to configure.ac, for large file support.
    Removed the unnecessary AC_C_CONST and AC_HEADER_STDC.
* Mon Nov  6 2006 mrueckert@suse.de
- update to version 1.4.9:
  Some minor build problems were fixed, and the gnulib portability
  library was updated.
* Mon Aug 21 2006 mrueckert@suse.de
- Update to version 1.4.7:
  o added option to enforce SSLv3
  o many small bugfixes
* Sun Jun 18 2006 mrueckert@suse.de
- Update to version 1.4.6:
  o idn support
  o many small changes for details see
    /usr/share/doc/packages/msmtp/ChangeLog
  o small cleanup for the spec file
- added msmtpqueue-0.4 as part to the msmtp package
  (no need for an own script for 2 shell script)
  Adds basic queueing capabilities to msmtp
- build with -fstack-protector on > 10.0
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Oct 19 2005 arvin@suse.de
- updated to version 1.4.4
* Mon Jul 18 2005 arvin@suse.de
- updated to version 1.4.3
* Mon Jul 11 2005 arvin@suse.de
- initial package with version 1.4.2
